import 'dart:developer';

import 'package:taafee_mobile/core/apis/apis.dart';
import 'package:taafee_mobile/core/network/http.dart';
import '../model/params.dart';

class SplashSource {
  Future<void> getParams({void Function(Object)? onConnectionError}) async {
    Request request =
        Request(EndPoint.params, RequestMethod.get, cacheable: true);
    var response =
        await request.sendRequest(onConnectionError: onConnectionError);
    log('my response $response');
    return Params.fromJson(response['data']);
  }
}
